[Pharo-project] shout for pharo 1.2: Please help.

Stéphane Ducasse stephane.ducasse at inria.fr
Sun Feb 27 17:30:56 CET 2011


Ok 
I do not understand how it loaded before because 
	I got a duplicate instance warning raised (even if the class loaded was empty - I do not get it)
	So I remove the empty package, fixing the version and the baseline...
	
Now I have the decompiler popping windows.... problem
Today this is tedious. 
For a fix of 1 min I already spent 2 hours to try to load a configuration.

Stef


> Stef,
> 
> I will try to take a look at your issue today along with testing out the configuration fixes I have pending ... both Pharo and Shout had configuration issues, but I can't say that your particular issue is related ... yet.
> 
> Dale
> 
> On Feb 27, 2011, at 7:57 AM, Stéphane Ducasse wrote:
> 
>> Hi guys
>> 
>> I modified 
>> 
>> version 1.2.1 of ConfigurationOfShout to load my version
>> 	Shout-sd.101 (apparently lot of comments were removed between Benjamin.100 and Benjamin.101 - strange)
>> 
>> 
>> In ConfigurationOfPharo there is
>> 
>> 	project: 'Shout' with: '1.2.1';
>> 
>> 
>> Now in ConfigurationOfShout there are
>> 	
>> version122: spec <version: '1.2.2' imports: #('1.1-baseline')> spec for: #common do: [ spec blessing: #development. spec author: 'Francisco Ortiz Peñaloza'. spec description: 'Shout Changes for 1.2 using new SmalltalkEditor'. ].
>> 
>> 
>> version121: spec
>> 	<version: '1.2.1' imports: #('1.1-baseline')>
>> 
>> 	spec for: #common do: [
>> 		spec blessing: #development.
>> 		spec author: 'Stephane Ducasse'.
>> 		spec description: 'Shout for 1.2'.
>> 	].
>> 
>> 
>> When I load the latest stable of Pharo
>> 
>> ((Smalltalk globals at: #ConfigurationOfPharo) project version: #stable) load
>> 
>> I get an error due to a duplicate (probably the instance variable of pluggableShout.....).
>> Probably loading the wrong package.
>> 
>> So I do not know what to do and lost my time.
>> 
>> Stef
> 
> 





More information about the Pharo-project mailing list